// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.

/**
 * COMPONENT_NAME WAS.batch
 * 
 * $CPYRIGHT
 * 
 * Change History:
 * 
 * Reason       Version   Date        User id   Description
 * ------------------------------------------------------------------------------------
 * LIDB2938      6.0.0    07-02-2004  alanl     Initial Checkin
 * 
 */
 
package com.ibm.websphere.batch;

import java.io.Serializable;


/**
 * This class represents a Batch Job Step ID. It is used by a Batch Step when retrieving 
 * a Batch Data Stream from the BatchDataStreamMgr. For example:
 * <p>
 * JobStepID id = new JobStepID( jobID, stepID) ); <br>
 * BatchDataStreamMgr.getBatchDataStream( bdsname, id.getJobstepid() ); <br>
 * </p>
 * 
 * @ibm-api
 */



	public class JobStepID implements com.ibm.batch.api.JobStepID, Serializable {

		 private String jobid = "";
		    private String stepid = "";

		    public JobStepID(String ijobid, String istepid)
		    {
		        jobid = ijobid;
		        stepid = istepid;
		    }

		    public String getJobstepid() { return jobid + "/" + stepid; }

	/*
	   *
	   */
	  private static final long serialVersionUID = 197738235619153264L;
   
}
